Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.parser.v2
Class XSLTContext

    java.lang.Object
      |
      +--oracle.xml.parser.v2.XSLTContext

public class XSLTContext
extends java.lang.Object

Class for Xpath processing Context

Method Summary
`XMLNode` | `getContextNode()` Get the current context node
`int` | `getContextPosition()` Get the current context node position
`int` | `getContextSize()` Get the current context size
`XMLError` | `getError()` Get the XMLError instance for reporting errors
`void` | `popExprValue(int count)`
`void` | `reportCharacters(java.lang.String data, boolean disableoutesc)` Report characters to the current output handler
`void` | `reportNode(XMLNode node)` Report a XMLNode to the current output handler
`void` | `setError(XMLError err)` Set the XMLError

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getContextNode

    public XMLNode getContextNode()
                           throws XSLException

  Get the current context node
  Returns:
    XMLNode - current context node
  Throws:
    `XSLException`

### getContextSize

    public int getContextSize()
                       throws XSLException

  Get the current context size
  Returns:
    int - current context size
  Throws:
    `XSLException`

### getContextPosition

    public int getContextPosition()
                           throws XSLException

  Get the current context node position
  Returns:
    int - current context node position
  Throws:
    `XSLException`

### reportCharacters

    public void reportCharacters(java.lang.String data,
                                 boolean disableoutesc)
                          throws XSLException

  Report characters to the current output handler
  Parameters:
    `disableoutesc` - - boolean to disable output escaping
  Throws:
    `XSLException`

### reportNode

    public void reportNode(XMLNode node)
                    throws XSLException

  Report a XMLNode to the current output handler
  Parameters:
    `node` - - node to be outptu
  Throws:
    `XSLException`

### getError

    public XMLError getError()

  Get the XMLError instance for reporting errors
  Returns:
    XMLError

### setError

    public void setError(XMLError err)

  Set the XMLError
  Parameters:
    `err` - - instance of XMLError

### popExprValue

    public void popExprValue(int count)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.